%global fontname        nprokopov-fira-code
%global fontconf        64-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        2
Release:        1%{?dist}
Summary:        Monospaced font with programming ligatures

License:        OFL
URL:            https://github.com/tonsky/FiraCode
Source0:        https://github.com/tonsky/FiraCode/releases/download/%{version}/FiraCode_%{version}.zip
Source1:        %{fontconf}
Source2:        https://raw.githubusercontent.com/tonsky/FiraCode/master/LICENSE

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Fira Code is an extension of the Fira Mono font containing a set of ligatures
for common programming multi-character combinations. This is just a font
rendering feature: underlying code remains ASCII-compatible. This helps to read
and understand code faster. For some frequent sequences like .. or //, ligatures
allow us to correct spacing.

%prep
%setup -q -c -n %{fontname}-%{version}
cp -p %{SOURCE1} %{SOURCE2} .

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p otf/*.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
  %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%_font_pkg -f %{fontconf} *.otf

%doc LICENSE

%changelog
* Wed Sep 11 2019 Olivier Samyn 🎻 <code@oleastre.be> - 2-1
- New upstream release

* Tue Jul 30 2019 Olivier Samyn 🎻 <code@oleastre.be> - 1.207-1
- New upstream release.

* Tue Oct 02 2018 Olivier Samyn 🎻 <code@oleastre.be> - 1.206-1
- New upstream release.

* Fri Mar 02 2018 Olivier Samyn <code@oleastre.be> - 1.205-1
- Slashed zero by default (#481 #342)
- Adjusted vertical position of colon : near {()} (#486)
- Thin backslash except when in \\, removed \\\ (#536)
- Added :> (#547) and <: (#525)
- Removed =< (#479 #468 #424 #406 #355 #305)
- Added ::= (#539)
- Added [| |] (#516) {| |} (#330)
- Added ✓ (U+2713)
- Added ..= (#433)
- Added =!= (#338)
- Added |- -| _|_ and adjusted |= ||= (#494)
- Added #= (#208)

* Mon Apr 10 2017 Olivier Samyn <code@oleastre.be> - 1.204-2
- Updated spec filename to match package name

* Sun Nov 06 2016 Olivier Samyn <code@oleastre.be> - 1.204-1
- New upstream release.

* Fri Oct 28 2016 Olivier Samyn <code@oleastre.be> - 1.203-1
- Initial rpm
